## ros-melodic-rosbash 1.14.9

=== debian/changelog ===
ros-melodic-rosbash (1.14.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Apr 2020 07:00:00 -0000

ros-melodic-rosbash (1.14.8-1bionic) bionic; urgency=high

  * update style to pass flake8 (#240 <https://github.com/ros/ros/issues/240>)
  * Replace $1 and $2 with $pkg_name and $file_name (#239 <https://github.com/ros/ros/issues/239>)
  * add roscp. (#237 <https://github.com/ros/ros/issues/237>)
  * Bump CMake version to avoid CMP0048 warning (#234 <https://github.com/ros/ros/issues/234>)
  * fix find -perm /mode usage for FreeBSD (#232 <https://github.com/ros/ros/issues/232>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-melodic-rosbash (1.14.7-1bionic) bionic; urgency=high

  * zsh launch args completion (#217 <https://github.com/ros/ros/issues/217>)
  * use _rosrun_ prefix for temporary variable (#228 <https://github.com/ros/ros/issues/228>)
  * restore IFS after changing it in rosbash and rosrun (#227 <https://github.com/ros/ros/issues/227>)
  * [revent filename glob expansion in _msg_opts in rosbash (#218 <https://github.com/ros/ros/issues/218>)
  * correct name of the findpath script (#27 <https://github.com/ros/ros/issues/27>) (#213 <https://github.com/ros/ros/issues/213>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-melodic-rosbash (1.14.6-1bionic) bionic; urgency=high

  * add roscd, rosls support for Windows (#210 <https://github.com/ros/ros/issues/210>)
  * exclude files when completing roslaunch args (#211 <https://github.com/ros/ros/issues/211>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Mar 2019 07:00:00 -0000

ros-melodic-rosbash (1.14.5-1bionic) bionic; urgency=high

  * add rosrun.bat (#208 <https://github.com/ros/ros/issues/208>)
  * add verbose output to rosrun if catkin_find fails (#182 <https://github.com/ros/ros/issues/182>)
  * add missing rospack dependency (#189 <https://github.com/ros/ros/issues/189>)
  * fix rosfish (#172 <https://github.com/ros/ros/issues/172>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-melodic-rosbash (1.14.4-1bionic) bionic; urgency=high

  * rosrun: array is now properly expanded in debug-echo (#176 <https://github.com/ros/ros/issues/176>)
  * rosbash: replaced ... with $(...) (#177 <https://github.com/ros/ros/issues/177>)
  * rosrun: replaced ... with $(...) (#175 <https://github.com/ros/ros/issues/175>)
  * rosfish: fix syntax error (#171 <https://github.com/ros/ros/issues/171>)
  * fix zsh tab completion for symlinks (#169 <https://github.com/ros/ros/issues/169>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 07:00:00 -0000

ros-melodic-rosbash (1.14.3-1bionic) bionic; urgency=high

  * do not remove paths containing ./ or ../ from completion (#162 <https://github.com/ros/ros/issues/162>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Jan 2018 08:00:00 -0000

ros-melodic-rosbash (1.14.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Oct 2017 07:00:00 -0000

ros-melodic-rosbash (1.14.1-1bionic) bionic; urgency=high

  * add options in completion for roslaunch to roszsh (#147 <https://github.com/ros/ros/issues/147>)
  * allow arguments in EDITOR env in zsh rosed (#144 <https://github.com/ros/ros/pull/144>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-rosbash (1.14.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-melodic-rosbash (1.13.6-1bionic) bionic; urgency=high

  * add options in completion for roslaunch to roszsh (#147 <https://github.com/ros/ros/issues/147>)
  * allow arguments in EDITOR env in zsh rosed (#144 <https://github.com/ros/ros/pull/144>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 31 Oct 2017 07:00:00 -0000

ros-melodic-rosbash (1.13.5-1bionic) bionic; urgency=high

  * add completion for "rosmsg info" (#138 <https://github.com/ros/ros/pull/138>)
  * add "rostopic pub" completion for message type (#132 <https://github.com/ros/ros/pull/132>)
  * fix "rostopic pub" completion when options are provided (#131 <https://github.com/ros/ros/pull/131>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-melodic-rosbash (1.13.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-melodic-rosbash (1.13.3-1bionic) bionic; urgency=high

  * fix spelling of 'rosed' in usage (#118 <https://github.com/ros/ros/pull/118>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Sep 2016 07:00:00 -0000

ros-melodic-rosbash (1.13.2-1bionic) bionic; urgency=high

  * add missing verbs to rosservice completion (#117 <https://github.com/ros/ros/pull/117>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-melodic-rosbash (1.13.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Mar 2016 08:00:00 -0000

ros-melodic-rosbash (1.13.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-melodic-rosbash (1.12.6-1bionic) bionic; urgency=high

  * add roscat to display file contents (#99 <https://github.com/ros/ros/pull/99>)
  * roszsh: Ignore hidden files and directory in completion (#100 <https://github.com/ros/ros/pull/100>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-melodic-rosbash (1.12.5-1bionic) bionic; urgency=high

  * rosrun: allow spaces in command names and search paths (#94 <https://github.com/ros/ros/pull/94>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-melodic-rosbash (1.12.4-1bionic) bionic; urgency=high

  * fix zsh rosservice completion (#92 <https://github.com/ros/ros/pull/92>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Oct 2015 07:00:00 -0000


