=== debian/control ===
Source: ros-melodic-rosbash
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.7.15)
Homepage: http://www.ros.org/wiki/rosbash
Standards-Version: 3.9.2

Package: ros-melodic-rosbash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-catkin, ros-melodic-rospack
Description: Assorted shell commands for using ros with bash.
